Skip to main content
GET
/
pipeline
/
{pipeline_id}
/
event_metrics
Get event metrics for a pipeline
curl --request GET \
  --url https://api.mezmo.com/v3/pipeline/{pipeline_id}/event_metrics \
  --header 'Authorization: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

pipeline_id
string<uuid>
required

Query Parameters

bucket
number
required

The interval, in seconds, over which events will be grouped

Required range: 300 <= x <= 1296000
field
enum<string>
default:app

The field in the event to group events by

Available options:
app,
host,
label,
level
from
string<date-time>
required

The event metrics start date

to
string<date-time>
required

The event metrics end date

with_changes
boolean
default:false

Include metric changes compared to the previous duration

Response

200

Default Response